# ThresholdsResource

Canonical page: https://docs.ovok.com/java-sdk/reference/thresholds-resource

```java
public final class ThresholdsResource
```

Reads and sets the project vital thresholds. Get it from [`SlimResource.thresholds()`](/java-sdk/reference/slim-resource#thresholds).

## Methods [#methods]

### retrieve [#retrieve]

```java
public JsonNode retrieve(RequestOptions options) throws IOException, InterruptedException
```

Gets the project thresholds (`GET /v2/slim/threshold`).

**Parameters:**

- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response

### update [#update]

```java
public JsonNode update(Object body, RequestOptions options) throws IOException, InterruptedException
```

Replaces the project thresholds (`PUT /v2/slim/threshold`). Not retried on network errors.

**Parameters:**

- `body`: the thresholds
- `options`: per-request options, such as the timeout

**Returns:** the response body

**Throws:**

- `IOException`: if the request cannot be sent or the response cannot be read
- `InterruptedException`: if the thread is interrupted while waiting for the response
